<?
/*	Photon
	menu.php

	Left hand menu of main photon screen.
	Presets configured thru client.*.ini.
	Referreres created automatically.

	(c) 2005 Red Quant Corporation
	Licensed under the Open Software License version 2.1 
	See file LICENSE in the root folder of this distribution
	
*/
?>
<html>
<head>
<meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<meta http-equiv="cache-control" content="no-cache">
<meta http-equiv="pragma" content="no-cache">
<link rel="stylesheet" type="text/css" href="style.css">
<BODY>

<a href=index.php><img src=images/photon.logo.3.7.x-100sq-tx.png border=0></a>
<br>

<?
include_once("globals.php");
if(!file_exists(SETUP_COMPLETED_ONCE_FLAG_FILE))
{
?>
	<h3>Set Up Help</h3>
	
	<a href=panel.php?setuptest=on target=midframe>Set Up Test</a><br>
	<br>
	<a href=README target=midframe>Read me</a><br>
	<a href=INSTALLATION target=midframe>Installation Help</a><br>
	<a href=LICENSE target=midframe>License</a><br>
	</BODY>
<?
	exit();
}
else if(!isset($_SERVER['REMOTE_USER']))
{
?>
	<p>Not logged in.</p>	
<?
}


include("lib.php");
// dies when authentication is not enabled (missing .htaccess file, etc)

$clientclearname = isset($clientinis['CLIENT']['name']) ? $clientinis['CLIENT']['name'] : (isset($client) ? $client : "");
if($clientclearname && isset($user))
{
	echo("$clientclearname: $user<br>");
	echo("<hr class=menu>");
}

// PRESET-DEFINITIONS
// ******************
// From client ini file

if(isset($inis["PRESETS"]) && count($inis["PRESETS"]))
 foreach($inis["PRESETS"] as $key => $value)
 {
	if(preg_match("/([^:]+?):/", $value, $match)) $prompt = $match[1];
	else $prompt = $key;

	line($prompt, $key, ISCHART);
 }

echo("<hr class=menu>");
switcher(I("Trend"), "trend", "on");
switcher(I("Forecast"), "forecast", "on");
switcher(I("Compare to Visits"), "compare", "Visits");

echo("<hr class=menu>");

// REFERRERS
// *********
// Collected in compendium, cached serialized.

$months = make12monthtags(time());

$refs = array();
//if(compendiumtimedout("referrer"))
if(true)
{
	echo	"<span id=waiter style='color:silver;'>" .
			I("Analyzing ...") .
			"<br></span>";
	macflush();
	
	buildrefcompendium($refs, NON_VERBOSE);
	
	?>
	<script>
	x = document.getElementById('waiter'); x.style.display='none';
	</script>
	<?

}
else
{
	retrievecompendium("referrer", $refs, REF_COMPENDIUM_VERSION);
}

if($refs)
	foreach($refs as $k => $v)
	{
		if(isset($v['urls']) // version field hasn't
		&& !isset($v['error']))
		{
			$sourcelink = key($v['urls']);
			
			$risingstar = risingstar($v, $months); 
			$topstar = topstar($v, $months); 
			
			// key() returns the index element of the current array position. 
			line($k, $k, ISCHART, $sourcelink, $topstar, $risingstar);
		}
	}


echo("<hr class=menu>");
line(I("Update Referrer"), "data.php?referrerlist=readonly");
echo("<hr class=menu>");
line(I("Support"), "tests.php");


if($USERLEVEL == 'admin' || $USERLEVEL == 'operator')
{
	line(I("News"), "http://photon.authinc.com/news.php");
	line(I("Setup Test"), "panel.php?setuptest=go");
	line(I("Add Client"), "addclient.php");
	line(I("Definitions"), "data.php?showgrid=go");
	line(I("Calculation"), BUSY_SNAP);
	line(I("License"), "license.php");
}

echo("<p class=version>". longversionstring() 
	. "<br>&copy; ".BRIEFCOPYRIGHT
	. "<br>POWERED by<br><b>".HTMLBRIEFPOWERED. "</b></p>");

function line($prompt, $preset="#", $ischart = false, $sourcelink=null,
				$topstar=null, $risingstar=null)
// Menu items in main menu: normal text display
{
	$t = "midframe";
	$link = (strstr($preset, ".php") || strstr($preset, ".html")) ? $preset : "panel.php?preset=$preset";
	$prompt = str_replace(" ", "&nbsp;", $prompt);

	

	echo("<span style=white-space:nowrap;>");
	if($topstar !== null)
	{
		if($topstar && $risingstar)
			echo("<img src=images/icon.doublestar.1-onbl.png>");
		else if($topstar)
			echo("<img src=images/icon.topstar.1-onbl.png>");
		else if($risingstar)
			echo("<img src=images/icon.risingstar.2-onbl.png>");
		else
			echo("<img src=images/icon.nostar.4-onbl.png>");
	}

	if($ischart)
		echo(linked_icon(ICON_BARCHART, $link, $t));

	if($sourcelink)
		echo(linked_icon(ICON_SOURCEPAGE, $sourcelink, "sourceinspector", "help"));

	echo "<a class=line href='$link' target=$t>$prompt</a>";

	echo("</span>");
	echo("<br>");
}

function switcher($prompt, $id, $yesvalue="")
// Menu items in main menu: normal text display
{
	$checked = (isset($_REQUEST[$id]) && $_REQUEST[$id]) ? "checked" : "";
	echo "<input type=checkbox $checked name=$id class=line onClick='switcher(this.name, this.value ? \"$yesvalue\" : \"\")';>$prompt<br>";
}

?>
<script>
function switcher(switcher, value)
{
	//  debug: anti-cache
	//  now = new Date();
	// 	time = now.getTime();
	//  anticache = "&time=" + time; 
	anticache = "";
	 	
	url = "switcher.php?" + switcher + "=" + value + anticache;
	// debug alert(url);
	
	parent.switchermsgframe.location.href = url;
}
</script>
<?

function line2($tx, $l="#", $link="")
// Menu items in main menu: TrueType display
{
	$t = "midframe";
	
	global $fonts;
	$font = $fonts['MENU'][0];
	$size = $fonts['MENU'][1];
	$scale = $fonts['MENU'][2];
	$prompt = "<img src='".TRUETYPE_SOURCE."?nocache=on&text=$tx&tcr=250&tcg=250&tcb=200&bgr=0&bgg=0&bgb=0&dsr=0&dsg=0&dsb=0&lsr=0&lsg=0&lsb=0&font=$font&size=$size&scale=$scale' border=0>";
	echo "<a class=line href=$l target=$t>$prompt</a>";
	echo(icon_window());
	
	echo("<br>");
}

function test_lines()
{
// line("Visitors");
// line("Google");
// line("HH Sports");
}

function risingstar($referrer, $months)
{
	
		$max = 0;
		foreach($months[MONTH_TAGS]  as $month)
		{
			if(isset($referrer[$month]))
				$x = $referrer[$month];
			else
				$x = 0;
				
			if($x > $max) $max = $x;	
		}
		
		if($max == $x && $max > 0) return true; // echo(" +++");

		return false;	
}

function topstar($referrer, $months)
{
		$max = 0;
		foreach($months[MONTH_TAGS]  as $month)
		{
			if(isset($referrer[$month]))
				$x = $referrer[$month];
			else
				$x = 0;
				
			if($x > $max) $max = $x;	
				
		}
		
		if($max > 100) return true;

		return false;	
}



?>