<?
/*	Photon
	panel.php

	Central chart page.
	Calls the flash chart generator, feeding it with data from data.php to which it forwards the chart preset or browse request.
	
	(c) 2005 Red Quant Corporation
	Licensed under the Open Software License version 2.1 
	See file LICENSE in the root folder of this distribution
	
*/
?>
<html>
<head>
<meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<meta http-equiv="cache-control" content="no-cache">
<meta http-equiv="pragma" content="no-cache">
<link rel="stylesheet" type="text/css" href="style.css">

<style>

body 	{  background-position: top, center; background-color: black; }

</style>

<body>
<?
include "lib.php";
include "lib-setuptest.php";


$preset = isset($_REQUEST['preset']) ? $_REQUEST['preset'] : "";
$setuptest = isset($_REQUEST['setuptest']);
if($setuptest)
{
		setuptest();
}
else if(!file_exists(SETUP_COMPLETED_ONCE_FLAG_FILE))
{
	startsheet();
	?>
	<h1>Photon Setup</h1>
	
	Setting up comprises of three basic steps:<br>
	<br>
	1 - Security: setting up the first user.<br>
	2 - 3rd party: install PHP/SWF charts.<br>
	3 - Wire: setting up monitored sites.<br>
	<br>
	Plus potentially some rights settings for directories and files.<br><br>
	Photon will check progress and give instruction about how to complete the steps.<br><br>
	Mail b5@authinc.com for help.<br><br>
	
	<?
	button("Continue", "", "document.location.href='panel.php?setuptest=go'");
	endsheet();

}
else if(!$preset)
{
	if(!file_exists(SELFTEST_SWITCH_FILE))
		setuptest();
	else
	{
		phone(2, "Login (empty panel displayed)");
	
		echo("<!-- no preset chosen, nothing to do. -->");
		
		;
	}
}
else
{

	include "phpswfcharts/charts.php";

	$server = $_SERVER['SERVER_NAME'];
	$path = dirname($_SERVER['REQUEST_URI']);
	$datasupply = "data.php?preset=".str_replace(" ", "%20",$preset)."&time=" . time();
	$pass = $_SERVER['PHP_AUTH_PW'];
	$user = $_SERVER['PHP_AUTH_USER'];
	$url = "http://$user:$pass@" . $server . $path . "/" . $datasupply;

	echo InsertChart ( "phpswfcharts/charts.swf", 		"phpswfcharts/charts_library", $datasupply, 800, 400, "#800000", 1);

// get xml	readfile($url);	

// Format
// string InsertChart ( string flash_file, string library_path, string php_source [, int width [, int height [, string color [, boolean transparent ]]]] ) 

	// for displaying color code per url or not.
	// readfile doesn't propagate the cookies.
	$showtrend = isset($_COOKIE['trend']) ? $_COOKIE['trend'] : "off";

	readfile("$url&output=referrerurls&trend=$showtrend");
	
	readfile("$url&output=text");

	phone(3, "View panel: '$preset'");
}
?>

</body>




